
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Arc &#8212; Documentation Segmentation Image 3.0</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Recherche" href="../search.html" /> 
  </head><body>
<div style="background-color: white; text-align: left; padding: 10px 10px 15px 15px">
  <a href="../index.html">
  <img src="../_static/logo.png" border="0" alt="Segmentation Image"/>
  </a>
</div>

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">Code du module</a> &#187;</li> 
      </ul>
    </div>

      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3>Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <h1>Code source de Arc</h1><div class="highlight"><pre>
<span></span><span class="c1">#####################################</span>
<span class="c1"># Cecile Prouteau</span>
<span class="c1"># CTES Projet Math-Info</span>
<span class="c1"># Projet segmentation d&#39;image</span>
<span class="c1"># 15/01/2019</span>
<span class="c1"># Classe Arc Version 0.1</span>
<span class="c1">#####################################</span>

<span class="c1">### IMPORTATION DES BIBLIOTHEQUES</span>
<span class="kn">import</span> <span class="nn">math</span>

<span class="c1">### IMPORTATION DES CLASESS</span>
<span class="kn">from</span> <span class="nn">Sommet</span> <span class="k">import</span> <span class="n">Sommet</span>

<span class="c1">### DEBUT de la classe Arc</span>

<div class="viewcode-block" id="Arc"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc">[docs]</a><span class="k">class</span> <span class="nc">Arc</span><span class="p">:</span>
<div class="viewcode-block" id="Arc.__init__"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.__init__">[docs]</a>    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">origine</span><span class="p">,</span><span class="n">destination</span><span class="p">,</span><span class="n">capacite</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Origine et destination sont des sommets, capacite est un nombre entier</span>
<span class="sd">        </span>
<span class="sd">        Constructeur d&#39;un objet Arc</span>

<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param origine: objet Sommet de départ</span>
<span class="sd">        :type origine: Sommet </span>
<span class="sd">        </span>
<span class="sd">        :param destination: objet Sommet  d&#39;arrivée</span>
<span class="sd">        :type destination: Sommet   </span>
<span class="sd">        </span>
<span class="sd">        :param capacite: entier entre 0 et 255, capacite le l&#39;arc</span>
<span class="sd">        :type capacite: int   </span>
<span class="sd">        </span>
<span class="sd">        :return: Objet Arc de &#39;origine&#39; vers &#39;destination&#39; et de capacite &#39;capacite&#39;</span>
<span class="sd">        :rtype: Arc</span>
<span class="sd">        </span>
<span class="sd">        Liste des champs de la classe</span>
<span class="sd">        </span>
<span class="sd">        * self.origine sommet origine de l&#39;arc</span>
<span class="sd">        * self.destination sommet destination de l&#39;arc</span>
<span class="sd">        * self.capacite capacite de l&#39;arc</span>
<span class="sd">        * self.capacite_res capacité résiduelle de l&#39;arc initialisée à capacite</span>
<span class="sd">        * self.flot flot de l&#39;arc initialisé à 0 </span>
<span class="sd">        </span>
<span class="sd">        Pour les lignes et les colonnes je me place du point de vue de l&#39;image. </span>
<span class="sd">        Dans le tableau numpy, les coordonnées sont inversées.</span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        
        <span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">=</span><span class="n">origine</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">=</span><span class="n">destination</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite</span><span class="o">=</span><span class="n">capacite</span>
        <span class="c1">#distinguer capacité et flot</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="o">=</span><span class="n">capacite</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="o">=</span><span class="mi">0</span></div>
    
<div class="viewcode-block" id="Arc.affiche_origine"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_origine">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_origine</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Affiche le sommet origine de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">affiche_sommet</span><span class="p">()</span> </div>
        
<div class="viewcode-block" id="Arc.affiche_destination"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_destination">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_destination</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Affiche le sommet destination de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">affiche_sommet</span><span class="p">()</span> </div>
        
<div class="viewcode-block" id="Arc.affiche_capacite"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_capacite">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_capacite</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Affiche la capacité de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;Capacité : </span><span class="si">%d</span><span class="s2">&quot;</span><span class="o">%</span><span class="bp">self</span><span class="o">.</span><span class="n">capacite</span><span class="p">)</span></div>
        
<div class="viewcode-block" id="Arc.affiche_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Affiche la capacité résiduelle de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;Capacité résiduelle : </span><span class="si">%d</span><span class="s2">&quot;</span><span class="o">%</span><span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="p">)</span></div>
        
<div class="viewcode-block" id="Arc.affiche_flot"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_flot">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_flot</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Retourne le flot de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;Flot : </span><span class="si">%d</span><span class="s2">&quot;</span><span class="o">%</span><span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="p">)</span></div>
    
<div class="viewcode-block" id="Arc.inverse"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.inverse">[docs]</a>    <span class="k">def</span> <span class="nf">inverse</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">x</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>

<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param x: nombre entier </span>
<span class="sd">        :param x: int</span>
<span class="sd">        </span>
<span class="sd">        :return: inverse de x si x non nul, infini sinon</span>
<span class="sd">        :rtype: flottant       </span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="k">if</span> <span class="n">x</span> <span class="o">==</span> <span class="mi">0</span> <span class="p">:</span>
            <span class="k">return</span> <span class="n">math</span><span class="o">.</span><span class="n">inf</span>
        <span class="k">else</span> <span class="p">:</span>
            <span class="k">return</span> <span class="mi">1</span><span class="o">/</span><span class="n">x</span></div>
    
<div class="viewcode-block" id="Arc.inverse_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.inverse_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">inverse_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        retourne l&#39;inverse de la capacité résiduelle de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: flottant flot, inverse du flot de l&#39;arc si non nul, infini sinon</span>
<span class="sd">        :rtype: flottant</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="k">return</span> <span class="bp">self</span><span class="o">.</span><span class="n">inverse</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="p">)</span></div>
        
<div class="viewcode-block" id="Arc.oppose"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.oppose">[docs]</a>    <span class="k">def</span> <span class="nf">oppose</span><span class="p">(</span><span class="n">x</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>

<span class="sd">        :param x: nombre entier </span>
<span class="sd">        :param x: int</span>
<span class="sd">        </span>
<span class="sd">        :return: 255-x si x non nul, infini sinon</span>
<span class="sd">        :rtype: int       </span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="k">if</span> <span class="n">x</span> <span class="o">==</span> <span class="mi">0</span> <span class="p">:</span>
            <span class="k">return</span> <span class="n">math</span><span class="o">.</span><span class="n">inf</span>
        <span class="k">else</span> <span class="p">:</span>
            <span class="k">return</span> <span class="mi">255</span><span class="o">-</span><span class="n">x</span></div>
        
<div class="viewcode-block" id="Arc.oppose_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.oppose_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">oppose_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Retourne l&#39;opposé de la capacité résiduelle de l&#39;arc</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: flottant flot, inverse du flot de l&#39;arc si non nul, infini sinon</span>
<span class="sd">        :rtype: flottant</span>
<span class="sd">        </span>
<span class="sd">        :return: entier flot, 255-capacite_res de l&#39;arc si non nul, infini sinon</span>
<span class="sd">        :rtype: int       </span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="k">return</span> <span class="n">oppose</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="p">)</span></div>
    
    <span class="c1"># def est_identique(self,arc):</span>
    <span class="c1">#     &quot;&quot;&quot;</span>
    <span class="c1">#     </span>
    <span class="c1">#     :param self: Objet Arc </span>
    <span class="c1">#     :type self: Arc</span>
    <span class="c1">#     </span>
    <span class="c1">#     :return: booléen True si self et arc sont égaux et False sinon</span>
    <span class="c1">#     :rtype: bool</span>

   <span class="c1">##       &quot;&quot;&quot; </span>
    <span class="c1">#     </span>
    <span class="c1">#     return (self.origine.est_egal(arc.origine) and self.destination.est_egal(arc.destination) and self.capacite==arc.capacite)</span>
    
<div class="viewcode-block" id="Arc.modifie_origine"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.modifie_origine">[docs]</a>    <span class="k">def</span> <span class="nf">modifie_origine</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">sommet</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui remplace l&#39;origine de l&#39;arc &#39;self&#39; par la valeur de sommet</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param sommet:  sommet qui devient l&#39;origine de l&#39;arc </span>
<span class="sd">        :type sommet: Sommet</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">=</span><span class="n">sommet</span></div>
        
<div class="viewcode-block" id="Arc.modifie_destination"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.modifie_destination">[docs]</a>    <span class="k">def</span> <span class="nf">modifie_destination</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">sommet</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui remplace la destination de l&#39;arc &#39;self&#39; par la valeur de sommet</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param sommet:  sommet qui devient la destination de l&#39;arc </span>
<span class="sd">        :type sommet: Sommet</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">=</span><span class="n">sommet</span></div>
    
<div class="viewcode-block" id="Arc.modifie_capacite"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.modifie_capacite">[docs]</a>    <span class="k">def</span> <span class="nf">modifie_capacite</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui modifie le capacite de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut augmenter le capacite (la capacité) de l&#39;arc </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite</span><span class="o">=</span><span class="n">valeur</span></div>
        
<div class="viewcode-block" id="Arc.modifie_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.modifie_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">modifie_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui modifie la capacité résiduelle de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut modifier la capacité résiduelle de l&#39;arc self.capacite_res </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="o">=</span><span class="n">valeur</span>    </div>
    
<div class="viewcode-block" id="Arc.modifie_flot"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.modifie_flot">[docs]</a>    <span class="k">def</span> <span class="nf">modifie_flot</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui modifie le flot de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut modifier le flot de l&#39;arc self.flot </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="o">=</span><span class="n">valeur</span> </div>
    
    <span class="c1"># def augmente_capacite(self,valeur):</span>
    <span class="c1">#     &quot;&quot;&quot;</span>
    <span class="c1">#     Procédure qui augmente la capacite de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
    <span class="c1">#     </span>
    <span class="c1">#     :param self: Objet Arc </span>
    <span class="c1">#     :type self: Arc</span>
    <span class="c1">#     </span>
    <span class="c1">#     :param valeur:  valeur dont on veut modifier le capacite (la capacité) de l&#39;arc </span>
    <span class="c1">#     :type valeur: int</span>
    <span class="c1">#     </span>
    <span class="c1">#     :return: None </span>
    <span class="c1">#     :rtype: None object</span>
    <span class="c1">#     </span>
    <span class="c1">#     &quot;&quot;&quot;</span>
    <span class="c1">#     </span>
    <span class="c1">#     self.capacite+=valeur</span>
        
<div class="viewcode-block" id="Arc.augmente_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.augmente_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">augmente_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui augmente la capacité résiduelle de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut augmenter la capacité résiduelle de l&#39;arc self.capacite_res </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="o">+=</span><span class="n">valeur</span>    </div>
    
<div class="viewcode-block" id="Arc.augmente_flot"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.augmente_flot">[docs]</a>    <span class="k">def</span> <span class="nf">augmente_flot</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui augmente le flot de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut augmenter le flot de l&#39;arc self.flot </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="o">+=</span><span class="n">valeur</span> </div>
    
    <span class="c1"># def diminue_capacite(self,valeur):</span>
    <span class="c1">#     &quot;&quot;&quot;</span>
    <span class="c1">#     Procédure qui dinimue la capacite de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
    <span class="c1">#     </span>
    <span class="c1">#     :param self: Objet Arc </span>
    <span class="c1">#     :type self: Arc</span>
    <span class="c1">#     </span>
    <span class="c1">#     :param valeur:  valeur dont on veut diminuer le capacite (la capacité) de l&#39;arc </span>
    <span class="c1">#     :type valeur: int</span>
    <span class="c1">#     </span>
    <span class="c1">#     :return: None </span>
    <span class="c1">#     :rtype: None object</span>
    <span class="c1">#     </span>
    <span class="c1">#     &quot;&quot;&quot;</span>
    <span class="c1">#     </span>
    <span class="c1">#     self.capacite-=valeur</span>
        
<div class="viewcode-block" id="Arc.diminue_capacite_res"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.diminue_capacite_res">[docs]</a>    <span class="k">def</span> <span class="nf">diminue_capacite_res</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui diminue la capacité résiduelle de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut diminuer la capacité résiduelle de l&#39;arc self.capacite_res </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="o">-=</span><span class="n">valeur</span>    </div>
    
<div class="viewcode-block" id="Arc.diminue_flot"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.diminue_flot">[docs]</a>    <span class="k">def</span> <span class="nf">diminue_flot</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span><span class="n">valeur</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui diminue le flot de l&#39;arc &#39;self&#39; de &#39;valeur&#39;</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :param valeur:  valeur dont on veut diminuer le flot de l&#39;arc self.flot </span>
<span class="sd">        :type valeur: int</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="o">-=</span><span class="n">valeur</span> </div>
    
<div class="viewcode-block" id="Arc.affiche_arc"><a class="viewcode-back" href="../tec_doc - Copie.html#Arc.Arc.affiche_arc">[docs]</a>    <span class="k">def</span> <span class="nf">affiche_arc</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Procédure qui affiche l&#39;arc &#39;self&#39; sous la forme origine(origine.x,origine.y) ; destination(destination.x,destination.y) ; capacite(capacite)</span>
<span class="sd">        </span>
<span class="sd">        :param self: Objet Arc </span>
<span class="sd">        :type self: Arc</span>
<span class="sd">        </span>
<span class="sd">        :return: None </span>
<span class="sd">        :rtype: None object</span>
<span class="sd">        </span>
<span class="sd">        &quot;&quot;&quot;</span>
        
        <span class="c1">#print(&quot;origine(%d,%d) ; destination(%d,%d) ; capacite(%d)&quot;%(self.origine.x,self.origine.y,self.destination.x,self.destination.y,self.capacite),end=&quot;;&quot;)</span>
        <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;(&quot;</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">x</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">y</span><span class="p">,</span><span class="s2">&quot;), &quot;</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">origine</span><span class="o">.</span><span class="n">id</span><span class="p">,</span><span class="s2">&quot;, (&quot;</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">x</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">y</span><span class="p">,</span><span class="s2">&quot;), &quot;</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">destination</span><span class="o">.</span><span class="n">id</span><span class="p">,</span> <span class="s2">&quot;,&quot;</span> <span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">capacite</span><span class="p">,</span> <span class="s2">&quot;,&quot;</span> <span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">capacite_res</span><span class="p">,</span> <span class="s2">&quot;,&quot;</span> <span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">flot</span><span class="p">)</span></div></div>
</pre></div>

          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="Index général"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="../index.html">Segmentation Image home</a>| </li>
<li><a href="../contents.html">Documentation </a> &raquo;</li>

          <li class="nav-item nav-item-1"><a href="index.html" >Code du module</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, Cecile Prouteau.
      Créé avec <a href="http://sphinx-doc.org/">Sphinx</a> 1.7.9.
    </div>
  </body>
</html>